Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1097575

Description of problem:

Hammer content-host list command has --name option to filter the list by name. But it doesn't work. I passed the shost.katellolabs.org

name so output should show just one entry.

[root@dhcp201-170 ~]#  hammer content-host list --organization ACME_Corporation --name shost.katellolabs.org

-------------------------------------|------------------------------

ID                                   | NAME

-------------------------------------|------------------------------

cbd4ed98-12a2-4d9d-a602-2f7ec8e9407c | shost.katellolabs.org

5be37de7-3da9-4810-9f7e-2e905114a28f | provisionhttp.katellolabs.org

d3dab85f-0b50-4217-bf45-b816f398aa40 | lucky9.katellolabs.org

-------------------------------------|------------------------------

However, filtering the list with --uuid works fine:

[root@dhcp201-170 ~]#  hammer content-host list --organization ACME_Corporation --uuid

cbd4ed98-12a2-4d9d-a602-2f7ec8e9407c

-------------------------------------|----------------------

ID                                   | NAME

-------------------------------------|----------------------

cbd4ed98-12a2-4d9d-a602-2f7ec8e9407c | shost.katellolabs.org

-------------------------------------|----------------------

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.7-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.7-1.el6_5.noarch

candlepin-tomcat6-0.9.7-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.5.0.20-1.el6sat.noarch

foreman-compute-1.5.0.20-1.el6sat.noarch

foreman-libvirt-1.5.0.20-1.el6sat.noarch

foreman-postgresql-1.5.0.20-1.el6sat.noarch

foreman-proxy-1.5.6-1.el6sat.noarch

foreman-selinux-1.5.0-0.develop.el6sat.noarch

katello-1.5.0-19.el6sat.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.34-1.el6sat.noarch

openldap-2.4.23-32.el6_4.1.x86_64
pulp-katello-plugins-0.2-1.el6sat.noarch

pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch

pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch

pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-selinux-2.3.1-0.4.beta.el6sat.noarch

pulp-server-2.3.1-0.4.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch

rubygem-hammer_cli-0.1.0-7.el6sat.noarch

rubygem-hammer_cli_foreman-0.1.0-6.el6sat.noarch

rubygem-hammer_cli_foreman_tasks-0.0.2-2.el6sat.noarch

rubygem-hammer_cli_katello-0.0.3-17.el6sat.noarch

How reproducible:

always

Steps to Reproduce:

1. hammer content-host list --organization ACME_Corporation --name <name_of_host>

2.

3.

Actual results:

filtering the list by name doesn't work

Expected results:

filtering by name should work

Additional info:

Associated revisions

Revision e45300ba - 06/05/2014 08:09 PM - Adam Price

fixes #5803 - filter content-hosts by name, BZ 1097575

Revision 532c726b - 06/06/2014 05:51 PM - Adam Price

Merge pull request #4196 from komidore64/rmi5803-content-host-list-filter-by-name

fixes #5803 - filter content-hosts by name, BZ 1097575

History

#1 - 05/19/2014 09:49 PM - Brad Buckingham

- Assignee set to Adam Price

- Triaged set to Yes

#2 - 06/06/2014 05:52 PM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:e45300ba7acfbe0b5ecfd3de28bee8af1a426973.

#3 - 08/22/2014 08:26 AM - Eric Helms

- translation missing: en.field_release set to 13
